extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Smart Select Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Smart Select Svelte Component
      script(src="/js/motion/smartselect.js")
      f7-motion-smartselect(motion)

    p Smart Select allows you to easily convert your usual form selects to dynamic pages with grouped radio inputs. You can see such feature in many native apps.
    p It is not a separate Svelte component, but just a particular case of using <a href="list-view.html">&lt;List&gt;</a> and <a href="list-item.html">&lt;ListItem&gt;</a> components with Framework7's <a href="../docs/smart-select.html">Smart Select</a> component.

    h2 Smart Select Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;ListItem&gt;  properties
        tr
          td smartSelect
          td boolean
          td
          td Enables Smart Select behavior
        tr
          td smartSelectParams
          td object
          td
          td Object with <a href="../docs/smart-select.html#smart-select-parameters">Smart Select Parameters</a>

    h2 Access To Smart Select Instance
    p You can access Smart Select initialized instance by calling `.smartSelectInstance` method of `<ListItem>` component.
    ```svelte
      <ListItem smartSelect bind:this={component} ... />

      <script>
        //
        let component;

        // to get instance in some method
        const smartSelectInstance = component.smartSelectInstance();
      </script>
    ```


    h2 Examples
    +examplePreview('svelte', 'smart-select.svelte', 'smart-select')
